{% extends 'dashboard/dashboard_content.html' %}

{% block rightPane %}
    {% load staticfiles %}
    <link href="{% static 'cropper/css/hover_effect.css' %}" rel="stylesheet">
    <script src={% static "dashboard/vendors/bootstrap-daterangepicker/daterangepicker.js" %}></script>
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Update Profile
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="col-md-4 col-sm-4 col-xs-12">
                <div class="hovereffect">
                    {% load static %}
                    {% get_media_prefix as MEDIA_ROOT %}
                    {% if object.gender == "M" %}
                        <img class="img" src={% if object.user.avatar %}
                            {{ MEDIA_ROOT }}{{ object.user.avatar }}{% else %}
                            "{{ MEDIA_ROOT }}/images/male.png"
                        {% endif %}
                             alt="No image" height="250px"
                             width="250px"><br/>
                    {% endif %}
                    {% if object.gender == "F" %}
                        <img class="img-responsive" src={% if object.user.avatar %}
                            {{ MEDIA_ROOT }}{{ object.user.avatar }}{% else %}
                            "{{ MEDIA_ROOT }}/images/female.png"
                        {% endif %}
                             alt="No image"
                             height="250px" width="250px"><br/>
                    {% endif %}
                    <div class="overlay">
                        <h2>Profile Picture</h2>
                        <a class="info" href="{% url 'image_cropper' %}">Change Pic</a>
                    </div>
                </div>
            </div>
            {#            <div class="col-md-4 col-sm-4 col-xs-12 profile_left">#}
            {#                <div class="profile_img">#}
            {#                    <div id="crop-avatar">#}
            {#                        {% load static %}#}
            {#                        {% get_media_prefix as MEDIA_ROOT %}#}
            {#                        {% if object.user.gender == "M" %}#}
            {#                            <img src={% if object.user.avatar %}#}
            {#                                {{ MEDIA_ROOT }}{{ object.user.avatar }}{% else %}#}
            {#                                "{{ MEDIA_ROOT }}/images/male.png"#}
            {#                            {% endif %} alt="No image" height="250px" width="250px"><br/>#}
            {#                        {% endif %}#}
            {#                        {% if object.user.gender == "F" %}#}
            {#                            <img src={% if object.user.avatar %}#}
            {#                                {{ MEDIA_ROOT }}{{ object.user.avatar }}{% else %}#}
            {#                                "{{ MEDIA_ROOT }}/images/female.png"#}
            {#                            {% endif %} alt="No image" height="250px" width="250px"><br/>#}
            {#                        {% endif %}#}
            {#                    </div>#}
            {#                </div>#}
            {#            </div>#}
            <div class="col-md-8 col-sm-8 col-xs-12">
                <form action="" method="post" class="form-horizontal" enctype="multipart/form-data">
                    {% csrf_token %}
                    {% for field in form %}
                        <div class="form-group {% if field.errors %} has-error{% endif %}">
                            {#                            {% if field.id_for_label != "id_avatar" %}#}
                            <label class="col-sm-2 control-label"
                                   id={{ field.id_for_label }}>{{ field.label }}</label>
                            <div class="col-sm-9">
                                {{ field }}

                                {% for error in field.errors %}
                                    <span class="help-block">
                                            {{ error|escape }}
                                        </span>
                                {% endfor %}
                            </div>
                            {#                            {% endif %}#}
                        </div>
                    {% endfor %}
                    <div class="col-sm-2 col-sm-offset-5">
                        <button type="submit" class="save btn btn-lg btn-success"
                                value="Update">Update
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <br/>
    <script>
        $('document').ready(function () {
            $("input[id='id_dob']").daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'YYYY-MM-DD',
                }

            });
            $("input[id='id_date_of_joining']").daterangepicker({
                singleDatePicker: true,
                calender_style: "picker_3",
                locale: {
                    format: 'YYYY-MM-DD',
                }
            });
        });
    </script>
{% endblock %}